diff --git a/lustre/tests/sanityN.sh b/lustre/tests/sanityN.sh
index 752c336be815d5aeb6f71930484e9dbcd492ef75..6fa242894f73e93dbf4039670793ec0bbe1982d4 100644
--- a/lustre/tests/sanityN.sh
+++ b/lustre/tests/sanityN.sh
@@ -7,6 +7,9 @@ ONLY=${ONLY:-"$*"}
 ALWAYS_EXCEPT="14b 28 $SANITYN_EXCEPT"
 # UPDATE THE COMMENT ABOVE WITH BUG NUMBERS WHEN CHANGING ALWAYS_EXCEPT!
 
+# bug number for skipped test:                                                    12652 12652
+grep -q 'Enterprise Server 10' /etc/SuSE-release && ALWAYS_EXCEPT="$ALWAYS_EXCEPT 11    14" || true
+
 [ "$SLOW" = "no" ] && EXCEPT_SLOW="12 16"
 
 # Tests that fail on uml